## org.gnu.gtk
Class MenuToolButton

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.ToolItem
                              org.gnu.gtk.ToolButton
                                  org.gnu.gtk.MenuToolButton

public class MenuToolButton
extends ToolButton

A `ToolItem` containing a button with an additional dropdown menu.

A MenuToolButton is a `ToolItem` that contains a button and a small additional button with an arrow. When clicked, the arrow button pops up a dropdown menu.

Since:
  2.6

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`MenuToolButton()` Create a new MenuToolButton.
`MenuToolButton(GtkStockItem stockid)` Create a new MenuToolButton from stock.
`MenuToolButton(Handle handle)` Construct a MenuToolButton from a native handle.
`MenuToolButton(java.lang.String label)` Create a new MenuToolButton with the given label.
`MenuToolButton(Widget icon)` Create a new MenuToolButton with the given icon widget.
`MenuToolButton(Widget icon, java.lang.String label)` Create a new MenuToolButton with the given icon widget and label.

Method Summary
`Menu` `getMenu()` Gets the `Menu` associated with this MenuToolButton.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setArrowToolTip(ToolTips tooltips, java.lang.String tip_text, java.lang.String tip_private)` Set the tooltip associated with the arrow menu.
`void` `setMenu(Menu menu)` Sets the `Menu` that is popped up when the user clicks on the arrow.

Methods inherited from class org.gnu.gtk.ToolButton

`addListener, fireToolButtonEvent, getEventListenerClass, getEventType, getIconWidget, getLabel, getLabelWidget, getStockId, getUseUnderline, gtk_tool_button_get_icon_widget, gtk_tool_button_get_label_widget, gtk_tool_button_get_label, gtk_tool_button_get_stock_id, gtk_tool_button_get_type, gtk_tool_button_get_use_underline, gtk_tool_button_new_from_stock, gtk_tool_button_new, gtk_tool_button_set_icon_widget, gtk_tool_button_set_label_widget, gtk_tool_button_set_label, gtk_tool_button_set_stock_id, gtk_tool_button_set_use_underline, removeListener, setIconWidget, setLabel, setLabelWidget, setStockId, setUseUnderline`

Methods inherited from class org.gnu.gtk.ToolItem

`getExpand, getHomogeneous, getIconSize, getIsImportant, getOrientation, getProxyMenuItem, getReliefStyle, getToolbarStyle, getUseDragWindow, getVisibleHorizontal, getVisibleVertical, gtk_tool_item_get_expand, gtk_tool_item_get_homogeneous, gtk_tool_item_get_icon_size, gtk_tool_item_get_is_important, gtk_tool_item_get_orientation, gtk_tool_item_get_proxy_menu_item, gtk_tool_item_get_relief_style, gtk_tool_item_get_toolbar_style, gtk_tool_item_get_type, gtk_tool_item_get_use_drag_window, gtk_tool_item_get_visible_horizontal, gtk_tool_item_get_visible_vertical, gtk_tool_item_new, gtk_tool_item_retrieve_proxy_menu_item, gtk_tool_item_set_expand, gtk_tool_item_set_homogeneous, gtk_tool_item_set_is_important, gtk_tool_item_set_proxy_menu_item, gtk_tool_item_set_tooltip, gtk_tool_item_set_use_drag_window, gtk_tool_item_set_visible_horizontal, gtk_tool_item_set_visible_vertical, rebuildMenu, retrieveProxyMenuItem, setExpand, setHomogeneous, setIsImportant, setProxyMenuItem, setTooltip, setToolTip, setUseDragWindow, setVisibleHorizontal, setVisibleVertical`

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuToolButton

    public MenuToolButton(Handle handle)

  Construct a MenuToolButton from a native handle. For internal use only!

### MenuToolButton

    public MenuToolButton()

  Create a new MenuToolButton. No icon widget or label will be set.

### MenuToolButton

    public MenuToolButton(java.lang.String label)

  Create a new MenuToolButton with the given label. No icon widget will be set.

Parameters:
  `label` - A String that will be used as label.

### MenuToolButton

    public MenuToolButton(Widget icon)

  Create a new MenuToolButton with the given icon widget. No label will be set.

Parameters:
  `icon` - A Widget that will be used as icon widget.

### MenuToolButton

    public MenuToolButton(Widget icon,
                          java.lang.String label)

  Create a new MenuToolButton with the given icon widget and label.

Parameters:
  `icon` - A Widget that will be used as icon widget.
  `label` - A String that will be used as label.

### MenuToolButton

    public MenuToolButton(GtkStockItem stockid)

  Create a new MenuToolButton from stock. The new MenuToolButton will contain an icon and label from the stock item indicated by `stockid`.

Parameters:
  `stockid` - The `GtkStockItem` to create.

Method Detail

### setMenu

    public void setMenu(Menu menu)

  Sets the `Menu` that is popped up when the user clicks on the arrow. If `menu` is `null`, the arrow button becomes insensitive.

### getMenu

    public Menu getMenu()

  Gets the `Menu` associated with this MenuToolButton.

### setArrowToolTip

    public void setArrowToolTip(ToolTips tooltips,
                                java.lang.String tip_text,
                                java.lang.String tip_private)

  Set the tooltip associated with the arrow menu.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.